View Issue Details

IDProjectCategoryView StatusLast Update
0005217Talerwallet (WebExtensions)public2018-04-15 20:36
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.4 
Target Version0.5Fixed in Version0.5 
Summary0005217: garbage-collecting reserve records too eagerly breaks "send back to own bank account" feature
Description... since the wire information is stored together with the reserve, so now after a wallet GC we don't have any account to select.
TagsNo tags attached.

Activities

Christian Grothoff

2017-12-13 17:16

manager   ~0012675

I guess reserve private keys and bank account details should just be kept separately?

Florian Dold

2018-01-04 11:29

manager   ~0012721

Fixed in 02b4a2ad6208c

We now store sender wire information separately and don't GC it.

Issue History

Date Modified Username Field Change
2017-12-12 16:55 Florian Dold New Issue
2017-12-12 16:55 Florian Dold Status new => assigned
2017-12-12 16:55 Florian Dold Assigned To => Florian Dold
2017-12-12 16:55 Florian Dold Product Version => 0.4
2017-12-12 16:55 Florian Dold Target Version => 0.5
2017-12-12 23:19 Florian Dold Summary garbage-collecting reserve records to eagerly breaks "send back to own bank account" feature => garbage-collecting reserve records too eagerly breaks "send back to own bank account" feature
2017-12-13 17:16 Christian Grothoff Note Added: 0012675
2018-01-04 11:29 Florian Dold Status assigned => resolved
2018-01-04 11:29 Florian Dold Resolution open => fixed
2018-01-04 11:29 Florian Dold Note Added: 0012721
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:36 Christian Grothoff Status resolved => closed